Subject: bug#12128: 24.1.50; Default argument for `save-buffer'

From: Eli Zaretskii <[email-masked]>
Date: Fri, 03 Aug 2012 09:40:08 +0300

> Date: Fri, 3 Aug 2012 02:57:27 +0200
> From: Dani Moncayo <[email-masked]>
> 
> Severity: wishlist
> 
> Hello,
> 
> Try this experiment from "emacs -Q":
>   C-x b test RET hello C-x C-s M-n
> 
> (That is: create a new buffer, write something in it, try to save it and
> use M-n to look for a default filename.)
> 
> The first time I try that, I see the error message "Source file
> `c:/emacs/trunk/lisp/gnus/auth-source.el' newer than byte-compiled
> file".

That's your local problem with byte compilation, I don't get that
message on my machine.  Just compile auth-source.el, and that message
will not appear anymore.